#pragma once

#include <sys/types.h>

#include "util.h"

struct klist_user {
    ssize_t id;
    char *name;
    ssize_t local_id;
    ssize_t discord_id;
    ssize_t google_id;
};
typedef struct klist_user klist_user;

klist_user *klist_user_init();
klist_user *klist_user_get_by_id(klist *, u_int);
klist_user *klist_user_get_by_local(klist *, char *);
klist_user *klist_user_get_by_discord(klist *, char *);
klist_user *klist_user_get_by_google(klist *, char *);
void klist_user_deinit(klist_user *);


struct klist_stage {
    ssize_t id;
    char *name;
    char *desc;
};
typedef struct klist_stage klist_stage;

klist_stage *klist_stage_init();
void klist_stage_deinit(klist_stage *);


struct klist_list {
    ssize_t id;
    char *name;
    char *desc;

};
typedef struct klist_list klist_list;

klist_list *klist_list_init();
void klist_list_deinit(klist_list *);


struct klist_task {
    ssize_t id;
    char *name;
    char *desc;

};
typedef struct klist_task klist_task;

klist_task *klist_task_init();
void klist_task_deinit(klist_task *);